Page MenuHomePhabricator

ogv.js doesn't start audio when switching players
Closed, ResolvedPublic

Description

Now the audio isn't started. If you would have paused before switching the player type, it WOULD however have started the audio.

Event Timeline

TheDJ created this task.Aug 4 2015, 6:36 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a project: TimedMediaHandler.
TheDJ added a subscriber: TheDJ.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 4 2015, 6:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 4 2015, 6:40 PM
brion added a comment.Aug 6 2015, 11:04 AM

Heh... the monitor for the slider state etc on the native player is still running after the switch and manages to toggle the muted state on the ogv.js player. "Whoops".

Proper fix: kill MwEmbedPlayer with fire.

Workaround for now: probably something smaller. :D

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:59 PM
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 21 2015, 7:13 PM
TheDJ moved this task from Backlog to Kaltura/MwEmbed on the Kaltura player board.Apr 20 2016, 7:19 PM
TheDJ closed this task as Resolved.May 20 2016, 7:17 PM
TheDJ moved this task from Player to Done on the TimedMediaHandler board.

This was fixed somewhere along the way.
Probably due to ogv.js 1.1 fixes